Subject: Madison Park Comforter order number is 2000110-92638631
From: Mary Fernandez <[email-masked]>
To: [email-masked]
Date: Thu, 10 Aug 2023 10:17:26 -0600

Hello I have sent Trisha the order number of my item for ref. My name is
Mary Fernandez. I did call today Walmart Help .  Thank you very much